tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Manos Riglis" <man...@communicata.co.uk>
Subject Cannot buiild mod_jserv.so
Date Wed, 21 Feb 2001 17:04:46 GMT
Hi,

	I have tried to build mod_jserv.so  in a solaris box for tomcat 3.2.1, by
running apxs -c -o mod_jserv.so *.c.; Here is the compiler output

[jserv]:DEV>apxs -c -o mod_jserv.so *.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c autochange.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_ajpv11.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_ajpv12.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_balance.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_image.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_mmap.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_protocols.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_status.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_utils.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_watchdog.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_wrapper.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_wrapper_unix.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c jserv_wrapper_win.c
gcc -DSOLARIS2=270 -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED  -I/usr/lo
cal/apache/include  -c mod_jserv.c
  -o mod_jserv.so mod_jserv.o jserv_wrapper_win.o jserv_wrapper_unix.o
jserv_wrapper.o jserv_watchdog.o jserv_utils.o jserv_status.o
jserv_protocols.o jserv_mmap.o jserv_image.o jserv_balance.o jserv_ajpv12.o
jserv_ajpv11.o autochange.o
apxs:Break: Command failed with rc=16711680

I am running apxs from $JAKARTA_HOME/jakarta-tomcat/src/native/apache/jserv
as root.

Any help would be appreciated

Thanks

Manos


Mime
View raw message